Get Simulator
curl --request GET \
--url https://api.continuouslabs.ai/v1/simulators/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulators/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulators/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.continuouslabs.ai/v1/simulators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"artifact_digest": "sha256:0000000000000000000000000000000000000000000000000000000000000000",
"created_at": "2026-01-15T12:00:00Z",
"id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5",
"instructions": "Return stable example data for every operation.",
"name": "billing-api",
"owner": "ws_01J8Z5X4K7M2N9P0Q1R2S3T4V4",
"parent": "",
"status": "ready",
"tags": [
"latest"
]
}{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "simulator_not_found",
"detail": "No Simulator was found with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"."
}{
"code": "validation",
"detail": "The request does not satisfy the API contract."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}Simulators
Get Simulator
Returns a Simulator and its current build status.
GET
https://api.continuouslabs.ai
/
v1
/
simulators
/
{id}
Get Simulator
curl --request GET \
--url https://api.continuouslabs.ai/v1/simulators/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulators/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulators/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.continuouslabs.ai/v1/simulators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"artifact_digest": "sha256:0000000000000000000000000000000000000000000000000000000000000000",
"created_at": "2026-01-15T12:00:00Z",
"id": "smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5",
"instructions": "Return stable example data for every operation.",
"name": "billing-api",
"owner": "ws_01J8Z5X4K7M2N9P0Q1R2S3T4V4",
"parent": "",
"status": "ready",
"tags": [
"latest"
]
}{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "simulator_not_found",
"detail": "No Simulator was found with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"."
}{
"code": "validation",
"detail": "The request does not satisfy the API contract."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}Authorizations
Use a Continuous API key. Send it in the Authorization header as a Bearer token.
Path Parameters
Response
OK
Available options:
building, ready, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
